## protobuf2 2.6.1

=== gtest/CMakeLists.txt ===
########################################################################
# CMake build script for Google Test.
#
# To run the tests for Google Test itself on Linux, use 'make test' or
# ctest.  You can select which tests to run using 'ctest -R regex'.
# For more options, run 'ctest --help'.

# BUILD_SHARED_LIBS is a standard CMake variable, but we declare it here to
# make it prominent in the GUI.
option(BUILD_SHARED_LIBS "Build shared libraries (DLLs)." OFF)

# When other libraries are using a shared version of runtime libraries,
# Google Test also has to use one.
option(
  gtest_force_shared_crt
  "Use shared (DLL) run-time lib even when Google Test is built as static lib."
  OFF)

option(gtest_build_tests "Build all of gtest's own tests." OFF)

option(gtest_build_samples "Build gtest's sample programs." OFF)

option(gtest_disable_pthreads "Disable uses of pthreads in gtest." OFF)

# Defines pre_project_set_up_hermetic_build() and set_up_hermetic_build().
include(cmake/hermetic_build.cmake OPTIONAL)

if (COMMAND pre_project_set_up_hermetic_build)
  pre_project_set_up_hermetic_build()
endif()

########################################################################
#
# Project-wide settings

# Name of the project.
#
# CMake files in this project can refer to the root source directory
# as ${gtest_SOURCE_DIR} and to the root binary directory as
# ${gtest_BINARY_DIR}.
# Language "C" is required for find_package(Threads).
project(gtest CXX C)
cmake_minimum_required(VERSION 2.6.2)

if (COMMAND set_up_hermetic_build)
  set_up_hermetic_build()
endif()

# Define helper functions and macros used by Google Test.
include(cmake/internal_utils.cmake)

config_compiler_and_linker()  # Defined in internal_utils.cmake.

# Where Google Test's .h files can be found.
include_directories(
  ${gtest_SOURCE_DIR}/include
  ${gtest_SOURCE_DIR})

# Where Google Test's libraries can be found.
link_directories(${gtest_BINARY_DIR}/src)

########################################################################
#
# Defines the gtest & gtest_main libraries.  User tests should link
# with one of them.

# Google Test libraries.  We build them using more strict warnings than what
# are used for other targets, to ensure that gtest can be compiled by a user
# aggressive about warnings.
cxx_library(gtest "${cxx_strict}" src/gtest-all.cc)
cxx_library(gtest_main "${cxx_strict}" src/gtest_main.cc)
target_link_libraries(gtest_main gtest)

########################################################################
#
# Samples on how to link user tests with gtest or gtest_main.
#
# They are not built by default.  To build them, set the
# gtest_build_samples option to ON.  You can do it by running ccmake
# or specifying the -Dbuild_gtest_samples=ON flag when running cmake.

if (gtest_build_samples)
  cxx_executable(sample1_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample2_unittest samples gtest_main samples/sample2.cc)
  cxx_executable(sample3_unittest samples gtest_main)
  cxx_executable(sample4_unittest samples gtest_main samples/sample4.cc)
  cxx_executable(sample5_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample6_unittest samples gtest_main)
  cxx_executable(sample7_unittest samples gtest_main)
  cxx_executable(sample8_unittest samples gtest_main)
  cxx_executable(sample9_unittest samples gtest)
  cxx_executable(sample10_unittest samples gtest)
endif()

########################################################################
#
# Google Test's own tests.
#
# You can skip this section if you aren't interested in testing
# Google Test itself.
#
# The tests are not built by default.  To build them, set the
# gtest_build_tests option to ON.  You can do it by running ccmake
# or specifying the -Dgtest_build_tests=ON flag when running cmake.

if (gtest_build_tests)
  # This must be set in the root directory for the tests to be run by
  # 'make test' or ctest.
  enable_testing()

  ############################################################
  # C++ tests built with standard compiler flags.

  cxx_test(gtest-death-test_test gtest_main)
  cxx_test(gtest_environment_test gtest)
  cxx_test(gtest-filepath_test gtest_main)
  cxx_test(gtest-linked_ptr_test gtest_main)
  cxx_test(gtest-listener_test gtest_main)
  cxx_test(gtest_main_unittest gtest_main)
  cxx_test(gtest-message_test gtest_main)
  cxx_test(gtest_no_test_unittest gtest)
  cxx_test(gtest-options_test gtest_main)
  cxx_test(gtest-param-test_test gtest
    test/gtest-param-test2_test.cc)
  cxx_test(gtest-port_test gtest_main)
  cxx_test(gtest_pred_impl_unittest gtest_main)
  cxx_test(gtest-printers_test gtest_main)
  cxx_test(gtest_prod_test gtest_main
    test/production.cc)
  cxx_test(gtest_repeat_test gtest)
  cxx_test(gtest_sole_header_test gtest_main)
  cxx_test(gtest_stress_test gtest)
  cxx_test(gtest-test-part_test gtest_main)
  cxx_test(gtest_throw_on_failure_ex_test gtest)
  cxx_test(gtest-typed-test_test gtest_main
    test/gtest-typed-test2_test.cc)
  cxx_test(gtest_unittest gtest_main)
  cxx_test(gtest-unittest-api_test gtest)

  ############################################################
  # C++ tests built with non-standard compiler flags.

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_library(gtest_no_exception "${cxx_no_exception}"
      src/gtest-all.cc)
    cxx_library(gtest_main_no_exception "${cxx_no_exception}"
      src/gtest-all.cc src/gtest_main.cc)
  endif()
  cxx_library(gtest_main_no_rtti "${cxx_no_rtti}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_test_with_flags(gtest-death-test_ex_nocatch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=0"
    gtest test/gtest-death-test_ex_test.cc)
  cxx_test_with_flags(gtest-death-test_ex_catch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=1"
    gtest test/gtest-death-test_ex_test.cc)

  cxx_test_with_flags(gtest_no_rtti_unittest "${cxx_no_rtti}"
    gtest_main_no_rtti test/gtest_unittest.cc)

  cxx_shared_library(gtest_dll "${cxx_default}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_executable_with_flags(gtest_dll_test_ "${cxx_default}"
    gtest_dll test/gtest_all_test.cc)
  set_target_properties(gtest_dll_test_
                        PROPERTIES
                        COMPILE_DEFINITIONS "GTEST_LINKED_AS_SHARED_LIBRARY=1")

  if (NOT MSVC OR NOT MSVC_VERSION EQUAL 1600)
    # The C++ Standard specifies tuple_element<int, class>.
    # Yet MSVC 10's <utility> declares tuple_element<size_t, class>.
    # That declaration conflicts with our own standard-conforming
    # tuple implementation.  Therefore using our own tuple with
    # MSVC 10 doesn't compile.
    cxx_library(gtest_main_use_own_tuple "${cxx_use_own_tuple}"
      src/gtest-all.cc src/gtest_main.cc)

    cxx_test_with_flags(gtest-tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple test/gtest-tuple_test.cc)

    cxx_test_with_flags(gtest_use_own_tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple
      test/gtest-param-test_test.cc test/gtest-param-test2_test.cc)
  endif()

  ############################################################
  # Python tests.

  cxx_executable(gtest_break_on_failure_unittest_ test gtest)
  py_test(gtest_break_on_failure_unittest)

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_executable_with_flags(
      gtest_catch_exceptions_no_ex_test_
      "${cxx_no_exception}"
      gtest_main_no_exception
      test/gtest_catch_exceptions_test_.cc)
  endif()

  cxx_executable_with_flags(
    gtest_catch_exceptions_ex_test_
    "${cxx_exception}"
    gtest_main
    test/gtest_catch_exceptions_test_.cc)
  py_test(gtest_catch_exceptions_test)

  cxx_executable(gtest_color_test_ test gtest)
  py_test(gtest_color_test)

  cxx_executable(gtest_env_var_test_ test gtest)
  py_test(gtest_env_var_test)

  cxx_executable(gtest_filter_unittest_ test gtest)
  py_test(gtest_filter_unittest)

  cxx_executable(gtest_help_test_ test gtest_main)
  py_test(gtest_help_test)

  cxx_executable(gtest_list_tests_unittest_ test gtest)
  py_test(gtest_list_tests_unittest)

  cxx_executable(gtest_output_test_ test gtest)
  py_test(gtest_output_test)

  cxx_executable(gtest_shuffle_test_ test gtest)
  py_test(gtest_shuffle_test)

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_executable(gtest_throw_on_failure_test_ test gtest_no_exception)
    set_target_properties(gtest_throw_on_failure_test_
      PROPERTIES
      COMPILE_FLAGS "${cxx_no_exception}")
    py_test(gtest_throw_on_failure_test)
  endif()

  cxx_executable(gtest_uninitialized_test_ test gtest)
  py_test(gtest_uninitialized_test)

  cxx_executable(gtest_xml_outfile1_test_ test gtest_main)
  cxx_executable(gtest_xml_outfile2_test_ test gtest_main)
  py_test(gtest_xml_outfiles_test)

  cxx_executable(gtest_xml_output_unittest_ test gtest)
  py_test(gtest_xml_output_unittest)
endif()

=== debian/changelog ===
protobuf2 (2.6.1-4) unstable; urgency=medium

  * No change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Dec 2019 16:14:50 +0100

protobuf2 (2.6.1-3) unstable; urgency=medium

  * Team upload.
  * Build only the Java package
  * Renamed the package to protobuf2
  * Install the Maven artifact with the 2.x generic version
  * Generate Java 8 compatible classes
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 14:16:15 +0200

protobuf (2.6.1-2) unstable; urgency=low

  * Acknowledge NMUs, thanks Matthias Klose and Simon McVittie!

  [ Robert Edmonds ]
  * debian/control: Change Maintainer to the pkg-protobuf-devel list
  * debian/control: Add Laszlo Boszormenyi as Uploader

  [ Andrew Pollock ]
  * Update Git repository location

  [ Iustin Pop ]
  * Standards version 3.9.8 (no changes needed)
  * Update project home page (now on github)
  * Update yet again Vcs-* URLs to point to secure URIs
  * Update information about our the ezsetup-removal patch
  * Apply BTS patch for fixing Sparc64 builds, thanks to David Matthew
    Mattli (Closes: #805072)
  * Don't fixup arch-dependent package dirs in indep builds
    (Closes: #806096)
  * Migrate from custom test scripts to autopkgtest

 -- Iustin Pop <iustin@debian.org>  Sun, 08 May 2016 14:55:24 +0200

protobuf (2.6.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable optimization on mips and mipsel so that the tests pass.
    To keep the g++-5 transition moving, optimization is completely
    disabled here; someone who knows better can be more selective
    later. (Mitigates: #796069)

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Aug 2015 21:37:58 +0100

protobuf (2.6.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore maintainer address.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Aug 2015 08:47:53 +0200

protobuf (2.6.1-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * Rename libprotobuf-lite9 to libprotobuf-lite9v5, triggered by the libstdc++6
    ABI change. Addresses: #791246.
  * Rename libprotobuf9 to libprotobuf9v5.
  * Rename libprotoc9 to libprotoc9v5.
  * Add Conflicts/Replaces for the old libraries.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:33:36 +0200

protobuf (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Oct 2014 13:55:53 -0400

protobuf (2.6.0-4) unstable; urgency=medium

  * Merge post-2.6.0 fixes that were merged upstream. In particular,
    protoc-generated code should now compile correctly when built with Clang.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 22 Sep 2014 16:52:50 -0400

protobuf (2.6.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 11 Sep 2014 22:50:10 -0400

protobuf (2.6.0-2) experimental; urgency=medium

  * Compile the Java bindings only on architecture-independent builds.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 05 Sep 2014 19:32:39 -0400

protobuf (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Switch to dh sequencer in debian/rules.
  * Bump ABI version from 8 to 9.
  * Drop all patches from debian/patches/:
    - arm_optimization.diff
        (Appears to be no longer needed.)
    - disable-setuptools-download.diff
        (Disable ez_setup entirely, rather than disabling the downloader
        component inside ez_setup.)
    - fix-ftbfs-gcc4.7-kfreebsd.patch
        (Fixed upstream.)
    - fix-ftbfs-upstream-issue-488.patch
        (Fixed upstream.)
    - revert_upstream_issue_388_about_rpath.diff
        (Fixed upstream.)
  * Use dh-autoreconf. (Closes: #725976.)
  * Enable the new C++-based Python extension module shipped in 2.6.0.
    See /usr/share/doc/python-protobuf/README.Debian for details.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 02 Sep 2014 16:57:20 -0400

protobuf (2.5.0-9) unstable; urgency=medium

  * Upload to unstable.
  * Officially take over primary maintainership of the package, per Iustin.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 05 Feb 2014 11:37:11 -0500

protobuf (2.5.0-8) experimental; urgency=medium

  * Revert debian/patches/fix-ftbfs-upstream-issue-488.patch to use the
    version of this patch from 2.5.0-5.
  * Build-Depend on g++ >= 4:4.7 to ensure that the *default* compiler is new
    enough to support the gcc __atomic*() built-ins.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 03 Feb 2014 19:42:23 -0500

protobuf (2.5.0-7) unstable; urgency=medium

  * Upload to unstable.
  * Closes: #736801.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 29 Jan 2014 14:27:42 -0500

protobuf (2.5.0-6) experimental; urgency=medium

  * Use a different approach to fixing the FTBFS caused by upstream bug #488.
  * Revert the Build-Depends on a specific gcc/g++ version.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 26 Jan 2014 23:56:47 -0500

protobuf (2.5.0-5) unstable; urgency=medium

  * Upload to unstable.
  * Note that the experimental C++ backend in python-protobuf has been
    disabled.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 25 Jan 2014 16:57:43 -0500

protobuf (2.5.0-4) experimental; urgency=medium

  * Rewrite the platform detection logic in .../platform-macros.h to be more
    tolerant of all Debian architectures.
  * Switch from autotools-dev to dh-autoreconf.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 12 Jan 2014 12:49:50 -0500

protobuf (2.5.0-3) experimental; urgency=medium

  * Fix FTBFS on mips, due to missing detection of that architecture in
    .../platform-macros.h.
  * Fix FTBFS on ia64, powerpc, and sparc, where the default gcc version is
    too old to compile the new __atomic*() intrinsics, by Build-Depending on
    gcc-4.8, g++-4.8.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 11 Jan 2014 17:21:17 -0500

protobuf (2.5.0-2) experimental; urgency=low



=== debian/control ===
Source: protobuf2
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk,
 maven-repo-helper
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/protobuf2.git
Vcs-Browser: https://salsa.debian.org/java-team/protobuf2
Homepage: https://github.com/google/protobuf/

Package: libprotobuf2-java
Architecture: all
Depends: ${misc:Depends}
Section: java
Description: Java bindings for protocol buffers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the Java bindings for the protocol buffers. You will
 need the protoc tool (in the protobuf-compiler package) to compile your
 definition to Java classes, and then the modules in this package will allow
 you to use those classes in your programs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build-indep:
	dh_auto_build --indep

	ant -f debian/java-build.xml jar

override_dh_auto_test:

override_dh_auto_clean-indep:
	dh_auto_clean --indep

	ant -f debian/java-build.xml clean || true

override_dh_auto_install-indep:
	dh_auto_install --indep --buildsystem=ant
